<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Exploiting Type Confusion Bugs — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `analyze --binary <val> --check <val>` | Identify type confusion vulnerabilities |
| `map --binary <val> --class <val>` | Map object memory layouts |
| `exploit --binary <val> --fake-obj <val>` | Exploit type confusion for code execution |
| `report --binary <val> --format <val>` | Generate exploitation report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--binary` | string | Yes | Binary parameter |
| `--check` | string | Yes | Check parameter |
| `--class` | string | Yes | Class parameter |
| `--fake-obj` | string | Yes | Fake Obj parameter |
| `--format` | string | Yes | Format parameter |
